Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228160 - multi-lib conflicts
Summary: multi-lib conflicts
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-10 22:51 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-28 11:41:13 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-02-10 22:51:09 UTC
claws-mail - 2.7.2-1.fc7.i386
  Conflicts: 29
  File conflict in:
     /usr/bin/claws-mail
     /usr/share/doc/claws-mail-2.7.2/pl/Makefile
     /usr/share/doc/claws-mail-2.7.2/pl/dist/Makefile
     /usr/share/doc/claws-mail-2.7.2/dtd/Makefile
     /usr/share/doc/claws-mail-2.7.2/es/dist/pdf/Makefile
     /usr/share/doc/claws-mail-2.7.2/dist/html/Makefile
     /usr/share/doc/claws-mail-2.7.2/pl/dist/ps/Makefile
     /usr/share/doc/claws-mail-2.7.2/fr/dist/html/Makefile
     /usr/share/doc/claws-mail-2.7.2/fr/dist/ps/Makefile
     /usr/share/doc/claws-mail-2.7.2/pl/dist/html/Makefile
     /usr/share/doc/claws-mail-2.7.2/fr/Makefile
     /usr/share/doc/claws-mail-2.7.2/fr/dist/pdf/Makefile
     /usr/share/doc/claws-mail-2.7.2/dist/Makefile
     /usr/share/doc/claws-mail-2.7.2/dist/pdf/Makefile
     /usr/share/doc/claws-mail-2.7.2/fr/dist/Makefile
     /usr/share/doc/claws-mail-2.7.2/Makefile
     /usr/share/doc/claws-mail-2.7.2/pl/dist/txt/Makefile
     /usr/share/doc/claws-mail-2.7.2/es/Makefile
     /usr/share/doc/claws-mail-2.7.2/dist/txt/Makefile
     /usr/share/doc/claws-mail-2.7.2/es/dist/Makefile
     /usr/share/doc/claws-mail-2.7.2/dist/ps/Makefile
     /usr/share/doc/claws-mail-2.7.2/fr/dist/txt/Makefile
     /usr/share/doc/claws-mail-2.7.2/es/dist/ps/Makefile
     /usr/share/doc/claws-mail-2.7.2/es/dist/html/Makefile
     /usr/share/doc/claws-mail-2.7.2/pl/dist/pdf/Makefile
     /usr/share/doc/claws-mail-2.7.2/es/dist/txt/Makefile
  Packages with the same files:
     claws-mail - 2.7.2-1.fc7.x86_64

Comment 1 Andreas Bierfert 2007-02-27 16:13:15 UTC
Hm any thoughs on this before I push 2.8.0? I wonder why this is an issue at all
because /usr/bin/claws-mail should be exactly where it is and the other stuff is
just uninteresting (probably could be removed anyway).

Comment 2 Michael Schwendt 2007-02-27 16:27:08 UTC
The binary is uninteresting. The Makefiles cause the conflict.
There are lots of "Makefile.am" and "Makefile.in" in the doc tree, too.

[...]

But how usable is the -devel package anyway? It contains many headers,
but no libraries. Is all this only for plugins? In that case, the -devel
package need not require the main package. And as a result, the i386 main
package would not be copied into the x86_64 repository either.


Comment 3 Andreas Bierfert 2007-02-27 16:46:58 UTC
To start with I removed the Makfile{,.am,.in} they are not needed anyway. For
the later: I think the headers are only used by the plugins but I will give it a
try with the plugins package and if it works I will remove the Require on the
main package...

Comment 4 Andreas Bierfert 2007-02-28 11:41:13 UTC
Should be fixed with next push.


Note You need to log in before you can comment on or make changes to this bug.